%global desc This module provides function decorators which can be used to wrap \
a function such that it will be retried until some condition is met. \
It is meant to be of use when accessing unreliable resources with the \
potential for intermittent failures i.e. network resources and external \
APIs. Somewhat more generally, it may also be of use for dynamically \
polling resources for externally generated content.
%global srcname backoff

%global with_tests 0

Name:      python-%{srcname}
Version:   1.6.0
Release:   1%{?dist}
BuildArch: noarch

License: MIT
Summary: Python library providing function decorators for configurable backoff and retry
URL:     https://github.com/litl/%{srcname}
Source0: %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
# https://github.com/litl/backoff/issues/56
# Patch from https://github.com/litl/backoff/pull/55
Patch0:  0000-Drop-support-for-Python-3.4-to-support-aiohttp-3.3.patch

# temporary patch; will be removed once wee bump to newer version
Patch1:  drop-async-current-task.patch

BuildRequires: python3-devel
BuildRequires: python3-pytest
BuildRequires: python3-pytest-asyncio


%description
%{desc}


%package -n python3-%{srcname}
Summary: %{summary}

%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%if 0%{?with_tests}
%check
py.test-3 tests
%endif # with_tests


%files -n python3-%{srcname}
%license LICENSE
%doc CHANGELOG.md
%doc README.rst
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/*.egg-info


%changelog
* Mon Jan 16 2023 Jiri Kyjovsky <jkyjovsk@redhat.com> - 1.6.0-1
- Initial EPEL9 release
